This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1288927 - Review Request: libsylph - E-Mail client library
Review Request: libsylph - E-Mail client library
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-06 22:13 EST by IWAI, Masaharu
Modified: 2016-01-18 05:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-10 15:21:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IWAI, Masaharu 2015-12-06 22:13:35 EST
Spec URL: https://raw.githubusercontent.com/iwaim/fedora-pkgs/master/review/libsylph/libsylph.spec
SRPM URL: https://raw.githubusercontent.com/iwaim/fedora-pkgs/master/review/libsylph/libsylph-1.1.0-1.el6.src.rpm

Description: 
LibSylph is an e-mail client library which is derived from Sylpheed.
LibSylph is a lightweight but featureful library. It has many common e-mail
related features and other useful functions, and you can utilize them from
your application. Moreover you can create a new e-mail client by wrapping
LibSylph with any UI.
Fedora Account System Username: iwaim
Comment 1 Ranjan Maitra 2015-12-11 20:20:29 EST
Your rpm does not build. Here is what I get. 

No translations found for libsylph in /builddir/build/BUILDROOT/libsylph-1.1.0-1
.fc24.x86_64
error: Bad exit status from /var/tmp/rpm-tmp.VGz6EM (%install)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.VGz6EM (%install)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.


Please also review your package using the fedora-review tool.
Comment 2 IWAI, Masaharu 2015-12-21 11:41:02 EST
(In reply to Ranjan Maitra from comment #1) 
> Please also review your package using the fedora-review tool.

Thanks. I ran the fedora-review tool. And I fixed spec file.

Spec URL: https://raw.githubusercontent.com/iwaim/fedora-pkgs/master/review/libsylph/libsylph.spec
SRPM URL: https://raw.githubusercontent.com/iwaim/fedora-pkgs/master/review/libsylph/libsylph-1.1.0-2.fc23.src.rpm
Comment 3 Michael Schwendt 2015-12-29 16:39:46 EST
Guys, please pay attention to the Review Process description. It's not so difficult.

The fedora-review tags is not to be touched by anyone else than the reviewer assigned to the ticket.

Messing with the fedora-review flag or other ticket details can lead to hiding the ticket in ways it becomes very difficult to find when using the review tracker: http://fedoraproject.org/PackageReviewStatus/
Comment 4 Dan Horák 2016-01-07 17:11:01 EST
Wouldn't the up-to-date version of libsylph that already exists and is provided by the sylpheed package (and sylpheed-devel for the development headers and lib) satisfy your needs? Discussion about moving the libsylph into an own subpackage is happening now in bug 1265685.
Comment 5 Zbigniew Jędrzejewski-Szmek 2016-01-10 15:21:44 EST
Masaharu, it seems that we now have a newer version of the library available as sylpheed-libs, built from the sylpheed source rpm. So it's not useful to package the standalone version which is older. I'm closing this bug.

Thank you for working on this package. I hope you can find a different way to contribute and Fedora does not lose you as a contributor.

Note You need to log in before you can comment on or make changes to this bug.